# AlwaysConnectedConnectivityManager class

An implementation of ConnectivityManager that is always connected.

Inheritance
  - Object
  - ConnectivityManager
  - AlwaysConnectedConnectivityManager

## Constructors

AlwaysConnectedConnectivityManager ()

## Properties

hashCode → int
  The hash code for this object.
  no setterinherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setterinherited

## Methods

hasConnection () → Future <bool>
  Returns true if a network connection is available. If not, returns false.
  override
noSuchMethod (Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString () → String
  A string representation of this object.
  inherited
waitForConnection () → Future <void>
  Returns a future that resolves once we have a network connection.
  override

## Operators

operator == (Object other) → bool
  The equality operator.
  inherited